//
//  YHFileListViewController.swift
//  galaxy
//
//  Created by davidhuangA on 2024/3/17.
//  Copyright © 2024 https://www.galaxy-immi.com. All rights reserved.
//

import UIKit
/*
 文件清单
 */

class YHFileListViewController: YHBaseViewController {
    
    var orderId : Int?
    private let certificateReqVM : YHCertificateViewModel = YHCertificateViewModel()
    
    private lazy var topBkg : UIView = {
        let imagV = UIImageView()
        imagV.image = UIImage(named: "file_list_bkg")
        imagV.contentMode = .scaleAspectFill
        return imagV
        
    }()
    
    private lazy var headView : UIView = {
        let view = UIView()
        view.backgroundColor = .clear
        return view
    }()
    
    private lazy var myScrollView : UIScrollView = {
        let view = UIScrollView()
        view.backgroundColor = .red
        return view
    }()
    
    
    private lazy var myContentView : UIView = {
        let view = UIView()
        view.backgroundColor = .yellow
        view.layer.cornerRadius = kCornerRadius6
        view.clipsToBounds = true
        return view
    }()
    
    
    
    
    
    
    let bottomView : YHFileListBottomView = YHFileListBottomView()
    
    override func viewDidLoad() {
        super.viewDidLoad()
        setupUI()
    }
    
    override func viewWillAppear(_ animated: Bool) {
        super.viewWillAppear(animated)
        loadData()
    }
}

extension YHFileListViewController {
    func loadData() {
//        if let orderID = UserDefaults.standard.value(forKey: "orderIdForPreview") {
//            let param = ["order_id":orderID,"node":"1","state":"1"]
//            certificateReqVM.getCertificateStatisticData(params: param) { success, error in
//                if success == true {
//                    self.headerView.dataModel = self.certificateReqVM.certificateEntryModel
//                } else {
//                    YHHUD.flash(message: error?.errorMsg ?? "请求出错")
//                }
//                
//                self.homeTableView.reloadData()
//            }
//        } else {
//            printLog("error : orderID 为空")
//        }
    }
    
    func setupUI() {
        gk_navTitle = "文件清单"
        gk_navBarAlpha = 1.0
        gk_navBackgroundColor = .white
        
        view.addSubview(bottomView)
        bottomView.snp.makeConstraints { make in
            make.left.right.bottom.equalToSuperview()
            make.height.equalTo(YHFileListBottomView.viewH)
        }
        
        bottomView.block = { flag in
            if flag == 1 {
                printLog("生成清单")
            }
        }
        
        view.addSubview(myScrollView)
        myScrollView.snp.makeConstraints { make in
            make.top.equalToSuperview().offset(k_Height_NavigationtBarAndStatuBar)
            make.left.right.equalToSuperview()
            make.bottom.equalTo(bottomView.snp.top)
        }
        
        myScrollView.addSubview(topBkg)
        topBkg.snp.makeConstraints { make in
            make.top.equalToSuperview()
            make.left.equalToSuperview()
            make.width.equalTo(KScreenWidth)
            make.height.equalTo(312)
        }
        
        myScrollView.addSubview(myContentView)
        myContentView.snp.makeConstraints { make in
            make.top.equalTo(217)
            make.left.equalTo(kMargin)
            make.width.equalTo(KScreenWidth - 2*kMargin)
            make.height.equalTo(1700) //for test hjl
        }
        
        let footLable = UILabel()
        footLable.text = "*感谢您对银河移民的信赖，以上信息均用于香港优才签证申 请银河移民承诺对您所提供的信息将绝对保密"
        footLable.textColor = .white
        footLable.font = UIFont.PFSC_R(ofSize: 12)
        footLable.numberOfLines = 0
        footLable.lineBreakMode = .byWordWrapping
        
        myScrollView.addSubview(footLable)
        footLable.snp.makeConstraints { make in
            make.top.equalTo(myContentView.snp.bottom).offset(29)
            make.left.equalTo(28)
            make.width.equalTo(KScreenWidth - 2*28)
            make.bottom.equalToSuperview().offset(-41)
        }
        
        myScrollView.layoutIfNeeded()
        
        printLog(myScrollView.contentSize)
        return
    }
}
